com.pixelmed.display

## Class SourceSpectra

- java.lang.Object
- - com.pixelmed.display.SourceSpectra

    public class SourceSpectra
    extends java.lang.Object

A class that encapsulates the features and values from an MR spectroscopy source, usually for the purpose of displaying it.

### Constructor Summary

Constructors
Constructor and Description
`SourceSpectra(AttributeList list)` Construct spectra from a single or multi-frame DICOM spectroscopy object from a list of DICOM attributes.
`SourceSpectra(DicomInputStream i)` Construct spectra from a single or multi-frame DICOM spectroscopy object from an input stream (such as from a file or the network).

### Method Summary

Methods
`int` `getColumns()`
`int` `getDataPointColumns()`
`int` `getDataPointRows()`
`float` `getMaximum()`
`float` `getMinimum()`
`int` `getNumberOfFrames()`
`int` `getRows()`
`float[][]` `getSpectra()`
`java.lang.String` `getTitle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceSpectra

    public SourceSpectra(DicomInputStream i)
                  throws java.io.IOException,
                         DicomException

Construct spectra from a single or multi-frame DICOM spectroscopy object from an input stream (such as from a file or the network).

Parameters:
  `i` - the input stream
Throws:
  `java.io.IOException`
  `DicomException`

#### SourceSpectra

    public SourceSpectra(AttributeList list)
                  throws DicomException

Construct spectra from a single or multi-frame DICOM spectroscopy object from a list of DICOM attributes.

Parameters:
  `list` - the list of attributes that include the description and values of the spectroscopy data
Throws:
  `DicomException`

### Method Detail

#### getSpectra

    public float[][] getSpectra()

#### getTitle

    public java.lang.String getTitle()

#### getNumberOfFrames

    public int getNumberOfFrames()

#### getRows

    public int getRows()

#### getColumns

    public int getColumns()

#### getDataPointRows

    public int getDataPointRows()

#### getDataPointColumns

    public int getDataPointColumns()

#### getMinimum

    public float getMinimum()

#### getMaximum

    public float getMaximum()